/*
 * @Author: zengzhe
 * @Date: 2024-12-27 11:15:21
 * @LastEditors: zengzhe
 * @LastEditTime: 2024-12-27 15:10:51
 * @Description:
 */
/// <reference types="@rsbuild/core/types" />

export interface ImportMetaEnv {
  /** 项目标题 */
  readonly PUBLIC_GLOB_APP_TITLE: string
  /** 项目 本地端口 */
  readonly PUBLIC_PORT: number
  /** 是否自动打开浏览器 */
  readonly PUBLIC_OPEN: boolean
  /** 打包后是否生成包分析文件 */
  readonly PUBLIC_REPORT: boolean
  /** # 线上环境 */
  readonly PUBLIC_USER_NODE_ENV: 'development' | 'production' | 'test'
  /** # 公共基础路径 */
  readonly PUBLIC_PUBLIC_PATH: string
  /** # 打包压缩算法 */
  readonly PUBLIC_BUILD_COMPRESS: 'gzip' | 'brotli' | 'gzip,brotli' | 'none'
  /**打包时是否删除 console */
  readonly PUBLIC_DROP_CONSOLE: boolean
  /** # 接口地址 */
  readonly PUBLIC_API_URL: string
  /** # 接口代理 */
  readonly PUBLIC_PROXY: [string, string][]
}
