/*
 * @Author: xiejiang
 * @Date: 2024-12-08 09:25:35
 * @LastEditors: xiejiang
 * @LastEditTime: 2024-12-11 21:25:03
 * @Description:
 * Copyright（c）2024 by 好老师教育科技有限公司 All right Reserved.
 */
/** @type {import('tailwindcss').Config} */
export default {
  content: ['./index.html', './src/**/*.{vue,js,ts,jsx,tsx}'],
  theme: {
    extend: {},
    colors: {
      white: 'var(--white)',
      black: 'var(--black)',
      primary: 'var(--primary)',
      'primary-1': 'var(--primary-200)',
      'primary-2': 'var(--primary-2)',
      'primary-3': 'var(--primary-3)',
      'primary-4': 'var(--primary-4)',
      'primary-5': 'var(--primary-5)',
      'primary-7': 'var(--primary-7)',
      'primary-8': 'var(--primary-8)',
      'primary-9': 'var(--primary-9)',
      'primary-10': 'var(--primary-10)',
      danger: 'var(--danger)',
      'danger-1': 'var(--danger-200)',
      'danger-2': 'var(--danger-2)',
      'danger-3': 'var(--danger-3)',
      'danger-4': 'var(--danger-4)',
      'danger-5': 'var(--danger-5)',
      'danger-7': 'var(--danger-7)',
      'danger-8': 'var(--danger-8)',
      'danger-9': 'var(--danger-9)',
      'danger-10': 'var(--danger-10)',
      success: 'var(--success)',
      'success-1': 'var(--success-200)',
      'success-2': 'var(--success-2)',
      'success-3': 'var(--success-3)',
      'success-4': 'var(--success-4)',
      'success-5': 'var(--success-5)',
      'success-7': 'var(--success-7)',
      'success-8': 'var(--success-8)',
      'success-9': 'var(--success-9)',
      'success-10': 'var(--success-10)',
      warning: 'var(--warning)',
      'warning-1': 'var(--warning-200)',
      'warning-2': 'var(--warning-2)',
      'warning-3': 'var(--warning-3)',
      'warning-4': 'var(--warning-4)',
      'warning-5': 'var(--warning-5)',
      'warning-7': 'var(--warning-7)',
      'warning-8': 'var(--warning-8)',
      'warning-9': 'var(--warning-9)',
      'warning-10': 'var(--warning-10)',
      'font-gray-1': 'var(--font-gray-1)',
      'font-gray-2': 'var(--font-gray-2)',
      'font-gray-3': 'var(--font-gray-3)',
      'font-gray-4': 'var(--font-gray-4)',
      'gray-1': 'var(--gray-1)',
      'gray-2': 'var(--gray-2)',
      'gray-3': 'var(--gray-3)',
      'gray-4': 'var(--gray-4)',
      'gray-5': 'var(--gray-5)',
      'gray-6': 'var(--gray-6)',
      'gray-7': 'var(--gray-7)',
      'gray-8': 'var(--gray-8)',
      'gray-9': 'var(--gray-9)',
      'gray-10': 'var(--gray-10)',
      'gray-11': 'var(--gray-11)',
      'gray-12': 'var(--gray-12)',
      'gray-13': 'var(--gray-13)',
      'gray-14': 'var(--gray-14)'
    }
  },
  plugins: [],
  // important: true, // 解决 覆盖不了问题
  corePlugins: {
    preflight: false
  }
}
